import server from '@/utils/request'

//新增
interface Addobj{
  appid?:String		//小程序appid
  type?:String	    //类型：1-logo，2-轮播图
  name?:String	    //名称
  picUrl?:String	  //图片地址
  sort?:String	    //排序	
  linkFlag?:String	//链接标识
  outLinks?:String	//外链地址
  status?:String	  //状态：1-可用，0-不可用
}

export function adddicttype(data:Addobj) {
  return server.request({
    url: '/resource/wechat/swiper/add',
    method: 'post',
    data
  },false)
}

//修改
export function update(data:Addobj) {
  return server.request({
    url: '/resource/wechat/swiper/update',
    method: 'post',
    data
  },false)
}

//查询
interface Querydata{
    type?:String|Number	    //类型：1-服务条款，2-隐私协议
    appid?:String	
    status?:String     	    //状态：1-可用，0-不可用
}
export function getdicttype(params:Querydata) {
  return server.request({
    url: '/resource/wechat/swiper/list',
    method: 'get',
    params
  })
}

//删除
export function deltype(id:string) {
  return server.request({
    url: '/resource/wechat/swiper/del',
    method: 'post',
    data:{
      id
    }
  })
}


